cmake_minimum_required(VERSION 3.28)
project(ks_lib LANGUAGES CXX)

qt_standard_project_setup()

file(GLOB_RECURSE SOURCES CONFIGURE_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
file(GLOB_RECURSE HEADERS CONFIGURE_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/*.hpp")


# qt_add_executable(ks main.cpp
#     )

qt_add_library(${PROJECT_NAME} STATIC main.cpp
    ${SOURCES}
    ${HEADERS}
           )

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/Models/FP56/Model_grt_rtw)
target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(${PROJECT_NAME} PRIVATE ${Qt6Core_INCLUDE_DIRS})

# add_executable(app main.cpp filter.cpp)
target_link_libraries(${PROJECT_NAME}   PRIVATE
    Qt::Core
)
